<?php
require ("includes/comunes.php");

$seccion = "add_cliente";

if ($idioma==1) {
$titulo = "Acceso a Usuarios Registrados";
$meta_titulo = "Acceso a Usuarios Registrados";
$meta_desc = "";
$meta_key = "";
}
elseif ($idioma==2) {
	$titulo = "Employment - Jobs LimousineCC";
$meta_titulo = "Employment - Jobs LimousineCC";
$meta_desc = "By filling in the following form enter the labour exchange of LimousineCC. If you want to work as a conductor, administrative, commercial, accounting or lavacoches send us your resume.";
$meta_key = "Limousine driver, a driver luxury car driver, pilot cars, working as a driver, carrying car carrying vehicle, driving, driver of limousines";
}

elseif ($idioma==3) {
	$titulo = "Bourse de travail";
$meta_titulo = "Bourse de travail";
$meta_desc = "Rellenando el siguiente formulario entrará en la bolsa de trabajo de LimousineCC. Si desea trabajar como conductor, administrativo, comercial, contable o lavacoches envienos su curriculum.";
$meta_key = "";
}

if (isset($_GET['year_url'])) {$year_url = $_GET['year_url'];} else {$year_url = date('Y');}



PonCabecera($seccion,$titulo,$meta_titulo,$meta_desc,$meta_key);

Pon_Submenu_Comercial('add_cliente');


	// *************************** MENU LATERAL **********************

echo "<div id=\"contenido_web\">";

//creamos 2 cajas

//echo $_SESSION['comi'];
//echo $_SESSION['comi'].'<br>'.$_SESSION['chofer'].'<br>'.$_SESSION['cliente'];

echo '<div id="div_presup_1">';


if ($_GET['accion']=="") {
	if($_POST['nombre_cliente'] ){
		
		//sacamos sus datos y lo guardamos en potencial, sacamos su NUMERO
		//$num_potencial = $_POST['potencial'];
		$nombre_cliente = $_POST['nombre_cliente'];
		$apellido_1 = $_POST['apellido_1'];
		$apellido_2 = $_POST['apellido_2'];		
		$nombre_cliente .= ' '.$apellido_1.' '.$apellido_2;		
		$email = $_POST['email'];
		$email_2 = eregi_replace("@","#",$email);
		$tlf_movil = $_POST['tlf_movil'];
		$direccion = $_POST['direccion'];
		$dir_num = $_POST['dir_num'];
		$dni = $_POST['dni'];
		$codigo_postal = $_POST['codigo_postal'];
		$poblacion = $_POST['poblacion'];
		$provincia = $_POST['provincia'];
		$provincia_2 = substr($codigo_postal,0,2);

		
	
		$ultmodi = date('YmdH:i');
		
		
		
	
		
			$rsql="Select max(NUMERO) from POTENCIALES WHERE NUMERO like '".$_SESSION['empresa']."%'";

			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
			
			$num_potencial = odbc_result($results,1) + 1;
			
			
			
			
			//$registro = ComprobarRegistro('POTENCIALES',$num_potencial);
			
			$num_potencial = str_repeat('0',7-strlen($num_potencial)).$num_potencial;
		
			//echo $num_potencial;
			
			
			
			$fecha_pre1 = date('Y-m-d');
			

			
			$tsql =  "INSERT INTO POTENCIALES (NUMERO,NOMBRE,DIRECCION,CP,POBLACION,PROVINCIA,MOVIL,EMAIL,ALTA,SUBLICEN,OFICINA,ULTMODI,USUARIO,ORIGEN,EMPRESA,DIR_NUM,USU_CREA,NIF,COMICLAVE,USUARIO_CWEB,USUCREA,FECHACREA) VALUES ('$num_potencial','".strtoupper($nombre_cliente)."','".strtoupper($direccion)."','$codigo_postal','".strtoupper($poblacion)."','$provincia_2','+34 ".$tlf_movil."','".$email_2."','$fecha_pre1','".$_SESSION['empresa']."','".$_SESSION['oficina']."','$ultmodi','".$_SESSION['usuario']."','".$_SESSION['origen']."','".$_SESSION['empresa']."','$dir_num','".$_SESSION['usuario']."','$dni','".$_SESSION['comi']."','".$_SESSION['usuario_web']."','".$_SESSION['usuario']."','".date('YmdH:i')."')";
			$result=odbc_exec($cid,$tsql)or die(exit("Error en odbc_exec"));
			
			
			
		
			

		
	}
	$sql="Select COUNT(*) as total from potenciales WHERE comiclave like '".$_SESSION['comi']."' ";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$fondo = 0;
while ($row = odbc_fetch_array($result)) {
	$total= $row['total'];
}
echo '<p class="c3 t6 negrita">Clientes - Total : '.$total.'</p>';
echo '<p class="c3 t6 negrita">&nbsp;</p>';

echo '<p class="t4 negrita"><a href="add_cliente.php?accion=add" class="a_c3"><img src="images/ico_anadir.gif" alt="Añadir Cliente" style="vertical-align: bottom;" /> Añadir Cliente</a></p>';

echo '<p class="c3 t6 negrita">&nbsp;</p>';
echo '<form id="form_filtro" name="form_filtro">';
	echo '<p style="text-align:rigth"><b>Buscar</b> 
		<input type="text" name="cadena_filtro" onkeyup="xajax_Mostrar_Lista_Clientes(xajax.getFormValues(\'form_filtro\'),\'\',\'lista_clientes\');" >
		<input type="hidden" name="comi" value="'.$_SESSION['comi'].'"/><br>&nbsp;
	</p></form>';
	
echo '<div id="muestra_lista">';


echo '<table id="tabla_clientes" width="99%" align="center" cellpadding="3" cellspacing="0">';
echo '<tr>';
echo '<th>Número</th>';
echo '<th>Nombre y Apellidos</th>';
echo '<th>E-mail</th>';
echo '<th>Fecha Alta</th>';
echo '<th>Ver Ficha</th>';

//echo '<th>Eliminar</th>';
echo '</tr>';
$sql="Select * from potenciales WHERE comiclave like '".$_SESSION['comi']."' order by numero DESC ";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$fondo = 0;
while ($row = odbc_fetch_array($result)) {
	
	if ($fondo%2==0) {$fondo_celda = 'par';} else {$fondo_celda = 'impar';}
	
	echo '<tr class="'.$fondo_celda.'">';
	echo '<td>'.$row['NUMERO'].'</td>';
	echo '<td>'.$row['NOMBRE'].'</td>';
	$email = eregi_replace("#","@",$row['EMAIL']);
	echo '<td>'.$email.'</td>';
	echo '<td>'.$row['ALTA'].'</td>';
	echo '<td class="centro" align="center" valign="middle" style="border-right: 1px solid #999;"><a href="add_cliente.php?accion=mod&num='.$row['NUMERO'].'"><img src="images/ico_modificar.gif" alt="Modificar" style="vertical-align: middle;" /></a></td>';
	/*echo '<td class="centro" align="center" valign="middle" style="border-right: 1px solid #999;"><a href=""><img src="images/ico_eliminar.gif" alt="Eliminar" style="vertical-align: middle;" /></a></td>';*/
	echo '</tr>';
	
	++$fondo;
}
echo '</table>';

echo '</div>';//listado clientes


}
elseif ($_GET['accion']=="add") {
	
	echo '<p class="c3 t6 negrita">Añadir Cliente</p>';
	
	echo '<form id="form_presup" name="form_presup" method="post" action="'.$_SERVER['PHP_SELF'].'">';
	
	echo '<div id="datos_cliente">';
echo '<p>&nbsp;</p>';
echo '<div id="campo_cliente"><p><label>Nombre:</label><input type="text" name="nombre_cliente" class="required" style="width: 300px;"  onKeyUp="xajax_Mostrar_Lista_Clientes2(document.form_presup.nombre_cliente.value,document.form_presup.apellido_1.value,document.form_presup.apellido_2.value);" /></p>';
echo '<p>&nbsp;</p>';
echo '<p><label>1<sup>er</sup> Apellido:</label><input type="text" name="apellido_1" class="required" style="width: 300px;"  onKeyUp="xajax_Mostrar_Lista_Clientes2(document.form_presup.nombre_cliente.value,document.form_presup.apellido_1.value,document.form_presup.apellido_2.value);" /></p>';
echo '<p>&nbsp;</p>';
echo '<p><label>2<sup>o</sup> Apellido:</label><input type="text" name="apellido_2" class="required" style="width: 300px;"  onKeyUp="xajax_Mostrar_Lista_Clientes2(document.form_presup.nombre_cliente.value,document.form_presup.apellido_1.value,document.form_presup.apellido_2.value);" />';
echo '</p>';
echo '<p>&nbsp;</p>';
echo '</div>'; //datos cliente



echo "<div id=\"muestra_lista\" style=\"clear: both;\"></div>";

echo '</div>'; //fin datos_cliente
	
	
	
	
	
	echo '</form>';	
}
elseif($_GET['accion']=='mod'){
echo '<p class="c3 t6 negrita">Ficha Cliente</p>';
	
	$mod_sql = "SELECT * FROM POTENCIALES WHERE NUMERO = '".$_GET['num']."' ";
	$result=odbc_exec($cid,$mod_sql)or die(exit("Error en odbc_exec"));
	while($fila = odbc_fetch_array($result)){
	echo '<form id="form_presup" name="form_presup" method="post" action="'.$_SERVER['REQUEST_URI'].'" enctype="multipart/form-data"  >';
	

echo '<p>&nbsp;</p>';
echo '<p style="font-weight:bold"><span style="font-weight:normal" >&nbsp;Nombre: </span>'.$fila['NOMBRE'].'</p>';
echo '<p>&nbsp;</p>';

	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Correo electrónico:    </span>'.eregi_replace('#','@',$fila['EMAIL']).'</p>';
	echo '<p >&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Teléfono Móvil: </span>'.$fila['MOVIL'].'</p>';
	echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Dirección: </span>'.$fila['DIRECCION'].'</p>';
	

	
	echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Número: </span>'.$fila['DIR_NUM'].'</p>';
	echo '<p >&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;D.N.I.: </span>'.$fila['NIF'].'</p>';
	echo '<p>&nbsp;</p>';
	echo '<p style="font-weight:bold"><span style="font-weight:normal">&nbsp;Código Postal: </span>'.$fila['CP'].'</p>';
	
	if($HTTP_POST_FILES['userfile']){
		//tomo el valor de un elemento de tipo texto del formulario
		

		//datos del arhivo
	//	 $nombre_archivo =  'doc_clientes/'.$HTTP_POST_FILES['userfile']['name'].'_'.$fila['NUMERO'];
		 //echo $nombre_archivo.'adkfadf';exit();
		$tipo_archivo = $HTTP_POST_FILES['userfile']['type'];
		$tamano_archivo = $HTTP_POST_FILES['userfile']['size'];
		
		$extension= explode('.',$HTTP_POST_FILES['userfile']['name']);
		$nombre = filtro_url($extension[0]);
		$extension = $extension[1];
		$result = odbc_exec($cid,"SELECT MAX(NUMERO) as numero_max FROM REG_DOCS_ENTRA ");
		while($fila3=odbc_fetch_array($result)){
						$num_max = $fila3['numero_max']+1;
						
				/*		echo "INSERT INTO REG_DOCS_ENTRA (NUMERO,FECHA,EMPRESA,RUTADOCU,TIPO_DOCU,CLIENTE,USUCREA,MEDIO_REC,USUARIO,USUARIO_CWEB) 
					values ('0$num_max','".date('Y-m-d')."','09','$nombre_archivo','".$_POST['tipo']."','".$fila['NUMERO']."','".$_SESSION['usuario']."','".$_SESSION['medio']."','".$_SESSION['usuario']."','".$_SESSION['usuario_web']."')";
						exit();
					*/
				}
		
		$nombre_archivo = 'doc_clientes/'.$nombre.'_'.$num_max.'.'.$extension;
		
		
		
		//compruebo si las características del archivo son las que deseo
		if ($tamano_archivo > 10000000000) {
   			 echo "El tamaño es demasiado grande";
		}else{
    		if (move_uploaded_file($HTTP_POST_FILES['userfile']['tmp_name'],$nombre_archivo)){
       			echo "<br>El archivo ha sido cargado correctamente.<br>";
       			
       			
					
					
					odbc_exec($cid,
					"INSERT INTO REG_DOCS_ENTRA (NUMERO,FECHA,EMPRESA,RUTADOCU,TIPO_DOCU,CONTACTO,USUCREA,FECHACREA,MEDIO_REC,USUARIO,USUARIO_CWEB,ULTMODI) 
					values ('0$num_max','".date('Y-m-d')."','09','c:/AppServ/www/comerciales/$nombre_archivo','".$_POST['tipo']."','".$fila['NUMERO']."','".$_SESSION['usuario']."','".date('YmdH:i')."','".$_SESSION['medio']."','".$_SESSION['usuario']."','".$_SESSION['usuario_web']."','".date('YmdH:i')."')");
				
					//damos el mensaje como que hay un presupuesto
					$fecha = date("Y-m-d H:i:s");
					$msn = "HAY UN NUEVO ARCHIVO PENDIENTE DE SER REVISADO. ".$_POST['tipo']." - RUTA : c:/AppServ/www/comerciales/".$nombre_archivo;
					$rsql = "INSERT INTO MSN (USU_EMI,USU_DES,FECHA,MSJ,LEIDO) VALUES ('WT','RM','".$fecha.".000000','$msn','0')";
					$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
					$rsql = "INSERT INTO MSN (USU_EMI,USU_DES,FECHA,MSJ,LEIDO) VALUES ('WT','IS','".$fecha.".000000','$msn','0')";
					$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
    		
       			
       			
       			
       			
       			
       			
       			
       			
    		}else{
       		echo "<br>Ocurrió algún error al subir el fichero. No pudo guardarse.<br>";
    		}
		} 
	}
	
	if($_GET['eliminar']){
			//echo "DELETE FROM REG_DOCS_ENTRA WEHRE NUMERO='".$_GET['eliminar']."' ";
			$sql_datos = "DELETE FROM REG_DOCS_ENTRA where NUMERO='".$_GET['eliminar']."'  ";
    			 			
					$result=odbc_exec($cid,$sql_datos)or die(exit("Error en odbc_exec"));
	}
	
	
    $sql_datos = "SELECT * FROM REG_DOCS_ENTRA WHERE CONTACTO='".$fila['NUMERO']."'  ";
    			 			
					$result=odbc_exec($cid,$sql_datos)or die(exit("Error en odbc_exec"));
				
				while($fila2 = odbc_fetch_array($result)){
					//echo "SELECT * FROM TIPODOCUMENTO WHERE CODIGO='".$fila2['TIPO_DOCU']."' ";					
					
					$result2=odbc_exec($cid,"SELECT * FROM TIPODOCUMENTO WHERE CODIGO='".$fila2['TIPO_DOCU']."' ")or die(exit("Error en odbc_exec"));
				
					while($fila3 = odbc_fetch_array($result2)){
						//$archivo_adjunto = 'doc_clientes/'.$fila2['RUTADOCU'];
						$tipo = $fila3['NOMBRE'];
					}
					
					//$archivo_adjunto = 'doc_clientes/'.$fila2['RUTADOCU'];
					echo '<p> &nbsp;<br><img src="images/doc_clientes.jpg" style="vertical-align:middle"/> <a href="'.ereg_replace('c:/AppServ/www/comerciales/','',$fila2['RUTADOCU']).'" class="a_c3 negrita" target="_blank"> '.$tipo.'</a> 
			';		
				//ECHO'	<a href="#"  onclick="if (confirm(\'¿Desea eliminar este registro?\')) { '.$_SERVER['REQUEST_URI'].'&eliminar='.$fila2['NUMERO'].' }"  title="Eliminar" alt="Eliminar" ><img src="images/papelera.gif" /></a></p>';
					
				}
	?>
					
					<?
				echo '<p>&nbsp;</p>';
	
	
	/*
	$sql_datos = "SELECT * FROM REG_DOCS_ENTRA WHERE NUMERO='".$fila['NUMERO']."'  ";
	
	$result=odbc_exec($cid,$sql_datos)or die(exit("Error en odbc_exec"));
	
	while($fila2 = odbc_fetch_array($result)){
		$archivo_adjunto = 'doc_clientes/'.$fila2['RUTADOCU'];
	}
	if(is_file($archivo_adjunto)){
		'<a href="'.$archivo_adjunto.'" class="a_c3" >Documento del contrato</a>';
	}
	
	echo '<b>Adjunto: </b><input type="file" id="adjuntar" name="adjuntar" onchange="javascript: submit();" class="clase_input" />';
	*/
	
	echo '<div style="border:1px solid #ccc;background-color:#fff;padding:20px">
	<p>
	<b>Nuevo Documento : </b><input name="userfile" type="file" ><br><br>

	<b>Tipo de Dcumento: </b><select name="tipo">';
	$result=odbc_exec($cid,'SELECT * FROM TIPODOCUMENTO')or die(exit("Error en odbc_exec"));
				
				while($fila2 = odbc_fetch_array($result)){
					//$archivo_adjunto = 'doc_clientes/'.$fila2['RUTADOCU'];
					echo '<option value="'.$fila2['CODIGO'].'" >'.$fila2['NOMBRE'].'"</option>';
				}
	
	
	echo '</select><br><br>


	<input type="submit" value="Subir Archivo" />
	</p>
	</div>';
    
    
    
    
	
	echo  '<script type="text/javascript">xajax_Pon_Poblacion_Provincia(form_presup.codigo_postal.value);</script>';
	echo '<div id="pobla_prov"></div>';
	echo '<p>&nbsp;</p>';
	

	
	
	
	
	
	echo '</form>';	
	}
}
echo '</div>'; //fin div_presup_1


echo '<div id="div_presup_2">';

echo '<div id="condicion_servicio"></div>';



echo '</div>'; //fin div_presup_2






echo "</div>";//fin contenido_web





	// *************************** MENU LATERAL **********************




PonPie();

  
//mysql_close();

?>